-- Copyright © 2010 Bart Massey
-- Example driver for Data.Array.MArray.Heapsort

import Data.Array
import Data.Array.IO
import qualified Data.Array.MArray.Heapsort as HS

main = do
  a <- newListArray (1, 7) [3, 7, 5, 1, 4, 2, 6] :: IO (IOArray Int Int)
  HS.sort a
  r <- getElems a
  putStrLn $ unwords $ map show r
